	// Called by an Xcelsius 2008 SP3 (or later) SWF that contains an External Interface 
	// data connection when the SWF is ready to be used.
	//
	// movieName is the name/id of the movie on this web page
	function setSWFIsReady(movieName)
	{
		// Update the movie ready flags.
		switch (movieName)
		{	
			case "page1Swf":
				page1SwfReady = true;
				break;
			case "page2Swf":
				page2SwfReady = true;
				break;
		}

		// Test whether all the movies are ready.
		var ready = 
			page1SwfReady&&
				page2SwfReady;

		if (ready)
		{
			// Initialize the movie bindings now all movies are ready.
			initMovieBindings();
		}
	}

	// Flag to keep track of whether "mapSwf" movie is ready.
	// See "setSWFIsReady"
	var page1SwfReady = false;
	var page2SwfReady = false;
	// Called by "setSWFIsReady" when the movies have finished initializing.
	//
	// Registers the data change callback handler "rangeChangeHandler" for each range.
	function initMovieBindings()
	{
		// Available Xcelsius External Interface calls:
		//		movie.describeDataSources():XML
		//		movie.getDataSource(rangeName:String):Object
		//		movie.setDataSource(rangeName:String, newValue:Object):void
		//		movie.addDataSourceChangeEventListener(rangeName:String, handlerFunctionName:String, sendCurrentValue:Boolean):void
		//		movie.removeDataSourceChangeEventListener(rangeName:String, handlerFunctionName:String):void

		// Call the "rangeChangeHandler" callback handler when the range values change.
		var sendCurrentValue = true;  // false (do not pass current value), true (pass current value via callback).
		getMovie("page1Swf").addDataSourceChangeEventListener("page", "rangeChangeHandler", sendCurrentValue);
		getMovie("page2Swf").addDataSourceChangeEventListener("page", "rangeChangeHandler", sendCurrentValue);
		
		getMovie("page1Swf").addDataSourceChangeEventListener("company", "rangeChangeHandler", sendCurrentValue);
		getMovie("page2Swf").addDataSourceChangeEventListener("company", "rangeChangeHandler", sendCurrentValue);
	}

	// Callback handler that gets calls when an Xcelsius External Interface range value changes.
	// See "initMovieBindings".
	//
	// movieName is the name/id of the movie on this web page
	// rangeName is the name of the range value that has changed
	function rangeChangeHandler(movieName, rangeName)
	{
		// Get the new range value.
		var newValue = getMovie(movieName).getDataSource(rangeName);
		// Handle the change of range value - pass the value to the other SWF.
		switch (rangeName)
		{
			case "page":
				if (newValue == "Page1") 
				{
					bringDivToFront("page1Div");
				} 
				if (newValue == "Page2"){
					sendDivToBack("page1Div");
				}
				getMovie("page1Swf").setDataSource(rangeName, newValue);
				getMovie("page2Swf").setDataSource(rangeName, newValue);
				break;
			case "company":
				getMovie("page1Swf").setDataSource(rangeName, newValue);
				getMovie("page2Swf").setDataSource(rangeName, newValue);
				break;
		}
	}
	
	// Get a reference to the movie on this page by its name/id:
	//
	// Internet Explorer	- the 'id' of the <OBJECT> tag
	// Otherwise			- the 'name' of the <EMBED> tag
	//
	// movieName is the name/id of the movie on this web page
	function getMovie(movieName)
	{
		if (navigator.appName.indexOf("Microsoft") != -1)
		{
			return window[movieName];
		}
		else
		{
			return document[movieName];
		}
	}

	function sendDivToBack(divName)
	{
	var div = document.getElementById(divName);
	div.style.zIndex="-1";
	}

	function bringDivToFront(divName)
	{
	var div = document.getElementById(divName);
		div.style.zIndex="1";
	}